<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:id="@+id/rootView"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white"
    android:orientation="vertical">

    <include layout="@layout/include_left_back_title" />

    <TextView
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginHorizontal="@dimen/dp_20"
        android:layout_marginTop="@dimen/dp_40"
        android:layout_marginBottom="@dimen/dp_10"
        android:fontFamily="sans-serif-medium"
        android:gravity="center"
        android:text="选择 2.4GHz Wi-Fi 网络并输入密码"
        android:textColor="@color/black"
        android:textSize="@dimen/sp_22" />

    <TextView
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginHorizontal="@dimen/dp_30"
        android:gravity="center"
        android:text="如果你的 Wi-Fi 是 5GHz 的，请先设置为 2.4GHz ，如下图所示"
        android:textColor="@color/mainTextColor" />

    <ImageView
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:src="@mipmap/wifi_ex" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="@dimen/titleViewHeight"
        android:layout_above="@id/requestCodeLayout"
        android:layout_marginHorizontal="@dimen/dp_50"
        android:background="@drawable/bg_stroke_layout_main_radius_7"
        android:gravity="center_vertical"
        android:orientation="horizontal">

        <ImageView
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:paddingHorizontal="@dimen/dp_10"
            android:src="@drawable/ic_wifi" />

        <com.pengxh.kt.lite.widget.DeleteEditText
            android:id="@+id/wifiNameView"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:background="@null"
            android:hint="Wi-Fi名称"
            android:paddingHorizontal="@dimen/dp_5"
            android:singleLine="true"
            android:textColorHint="#551D55C6"
            android:textSize="@dimen/sp_16"
            android:theme="@style/EditTextTheme" />

        <ImageView
            android:id="@+id/changeWifiView"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:paddingHorizontal="@dimen/dp_10"
            android:rotation="90"
            android:src="@drawable/ic_change" />
    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="@dimen/titleViewHeight"
        android:layout_marginHorizontal="@dimen/dp_50"
        android:layout_marginVertical="@dimen/dp_20"
        android:background="@drawable/bg_stroke_layout_main_radius_7"
        android:gravity="center_vertical"
        android:orientation="horizontal">

        <ImageView
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:paddingHorizontal="@dimen/dp_10"
            android:src="@drawable/ic_lock" />

        <com.pengxh.kt.lite.widget.DeleteEditText
            android:id="@+id/wifiKeyView"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:background="@null"
            android:hint="Wi-Fi密码"
            android:paddingHorizontal="@dimen/dp_5"
            android:singleLine="true"
            android:textColorHint="#551D55C6"
            android:textSize="@dimen/sp_16"
            android:theme="@style/EditTextTheme" />
    </LinearLayout>

    <Button
        android:id="@+id/nextStepButton"
        style="@style/MainButtonStyle"
        android:layout_margin="@dimen/dp_50"
        android:text="下一步" />
</LinearLayout>